% A simple cycle
% Author : Jerome Tremblay
\documentclass{article}
\usepackage{tikz}
%%%<
\usepackage{verbatim}
\usepackage{verbatim}
\usepackage[active,tightpage]{preview}
\PreviewEnvironment{tikzpicture}
\setlength\PreviewBorder{5pt}%
%%%>

\begin{document}
\begin{tikzpicture}
% graph
\node[draw, circle] (1) at (0,2) {$1$};
\node[draw, circle] (2) at (2,4) {$2$};
\node[draw, circle] (3) at (5,4) {$3$};
\node[draw, circle] (4) at (2,0) {$4$};
\node[draw, circle] (5) at (5,0) {$5$};
\node[draw, circle] (6) at (7,2) {$6$};



\draw[line width=3pt, red] (1) to (2);
\draw[line width=3pt, red] (1) to (4);
\draw[line width=3pt, red] (3) to (6);
\draw[line width=3pt, blue] (2) to (3);
\draw[line width=3pt, blue] (2) to (5);
\draw[line width=3pt, blue] (3) to (4);
\draw[line width=3pt, blue] (4) to (5);

\draw[line width=3pt] (5) to (6);

\end{tikzpicture}


\end{document}



